# Quiz: Functions

  
Answer the following questions in a Python file (text file ending in `.py`) on your computer, answering the questions through `print()` statements. Upload your `answers.py` to the Submissions folder.

## Questions

1. What is the output of the following code?

   ```python
   def print_value(val):
       print(f"Value is equal to {val}.")
   
   values = [9, 3, 1, 4]
   
   for value in values:
       print_value(value)
   ```
2. What is the value of `full_names` ?

   ```python
   LAST_NAME = 'Smith'
   
   def build_full_name(first_name):
       return name + ' ' + LAST_NAME
   
   first_names = ['Alice', 'Bob']
   full_names = [
       build_full_name(name)
       for name in first_names
   ]
   
   # What's the value of `full_names`?
   print(full_names)
   ```
3. How many times is the message `Hello, World!` printed? Bonus: Explain why it's printed that number of times.

   ```python
   def say_message(message: str):
       print(message)
       print(message)
   
   def greet():
       messages = [
           "Hi there!",
           "Hello, World!",
           "Hello, World!",
       ]
       for msg in messages:
           say_message(msg)
   
   greet()
   greet()
   ```
4. What is the value of `number_of_eggs` after Day 2?

   ```python
   def calculate_eggs_count(chicken_count: int) -> int:
       """
       Given the number of chickens, return the number of eggs laid.
       """
       eggs_count = chicken_count * 3
       eggs_count = eggs_count - 1
       return eggs_count
   
   #########
   # Day 1 #
   #########
   
   number_of_chickens = 12
   number_of_eggs = calculate_eggs_count(number_of_chickens)
   
   #########
   # Day 2 #
   #########
   
   # Oh, no! A chicken was eaten by a wolf.
   number_of_chickens = number_of_chickens - 1
   
   # Add the Day 2 eggs to the egg count.
   number_of_eggs = number_of_eggs + calculate_eggs_count(number_of_chickens)
   
   ######
   
   # How many eggs do we have?
   print(number_of_eggs)
   ```